Disallow join of the wall


#1

Hi

any node can set the wall disallow join by selection or type at once?

Thanks


#2

Sorry, I don’t, but happen to be looking for that too.

Rob K.


#3

It can be done with Python script.


#4

In Python, here’s the different pieces you need for joins:

Autodesk.Revit.DB.JoinGeometryUtils.JoinGeometry(doc, elementA, elementB)

Autodesk.Revit.DB.JoinGeometryUtils.UnjoinGeometry(doc, elementA, elementB)

Autodesk.Revit.DB.JoinGeometryUtils.IsCuttingElementInJoin(doc, elementA, elementB)

Autodesk.Revit.DB.JoinGeometryUtils.SwitchJoinOrder(doc, elementA, elementB)

Autodesk.Revit.DB.JoinGeometryUtils.AreElementJoined(doc, elementA, elementB)

Hope this helps…


#5

The below example should get you started:

2015-04-04_10-00-13


#6

Thank you. I’ve been watching videos on using the Revit API and done a few Python tutorials. I’m still gathering all my resources for figuring out how to script. How would you recommend reverse engineering Python code? Is there a good reference manual you would recommend? Thank you.


#7

Hello.

How would I modify the python script to take a list of walls in Dynamo?

I am learning this from the basics, any answer would be most helpful.


#8

Matti, look at some of the Revit nodes in package Clockwork. Almost all of them are based on processing lists of Revit elements.


#9

my first attempt at writing anything in python so thanks for the start Dimitar. This forum gives so much so I thought I’d try give a little back. The script below will accept a list of wall to disallow joins.
Disallow Wall Join Multiple

 


#10

Jimmy, what is your input for the Python Node? I’ve a list but getting an error when running. Any help much appreciated

Disallow wall Join Python Error

Script for disallow wall join


#11

Hi Lee,

You’re currently trying to feed in the names of the wall type as strings. You’ll need to feed in the actual wall elements.


#12

Similar solution here; takes list of IDs as string instead.

http://dynamobim.org/forums/topic/batch-disallow-walls-by-id-list/#new-post